DeleteSecurityGroupRule
DeleteSecurityGroupRule
DELETE
/zstack/v1/security-groups/rules?ruleUuids={ruleUuids}Operation ID
DeleteSecurityGroupRuleSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleUuidsStringRequiredPath parameter.
Query Parameters
ruleUuidsStringQuery parameter.
Body Fields
ruleUuidsListRequiredThe UUID list of the security group rule.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKDELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}